### Virtual Method

# Gtk Buildable custom_finished

#### Declaration [src]

    void
    custom_finished (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      GObject* child,
      const char* tagname,
      gpointer data
    )

#### Description [src]

Similar to `gtk_buildable_parser_finished()` but is called once for each custom tag handled by the `buildable`.

#### Parameters

`builder`

  Type: `GtkBuilder`

  A `GtkBuilder`

  The data is owned by the caller of the function.

`child`

  Type: `GObject`

  Child object or `NULL` for non-child tags.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`tagname`

  Type: `const char*`

  The name of the tag.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `gpointer`

  User data created in custom_tag_start.

  The argument can be `NULL`.
  The data is owned by the caller of the function.